zmodload zsh/pcre

if [[ -z $ZSL_ROOT ]]; then
    echo "ZSL_ROOT undefined, did you source stdlib.zsh?" >&2
    exit 1
fi
if ! source "$ZSL_ROOT/modules/loadlib.zsh"; then
    echo "error initializing stdlib.zsh module loader" >&2
    if ((${ZSL_REQUIRE_INIT:-0})); then
        exit 1
    fi
fi
_zsl_mark_loaded loadlib
zsl_lib_path+=("$ZSL_ROOT/modules")

for _af in "$ZSL_ROOT"/functions/*; do
    autoload "$_af"
done

_zsl_mark_loaded zslinit
